<div nxLayout="grid">
  <div nxRow class="nx-margin-top-2m nx-margin-bottom-m">
    <div nxCol="12">
      <h1 nxHeadline="page-bold-caps" class="aw-title">{{title}}</h1>
    </div>
  </div>
  
  <div *ngIf="!loadDataInProgress">
    <app-collections
      [collections]="collections"
      [options]="options"
      [category]="category"
      (onFilter)="onFilter($event)"
      (onSorting)="onSorting($event)"
    ></app-collections>
  </div>
  <div class="flex nx-margin-bottom-2m">
    <div class="margin-auto">
      <nx-pagination
        [count]="count"
        [page]="page"
        [perPage]="perPage"
        type="advanced"
        (goPrev)="prevPage()"
        (goNext)="nextPage()"
        (goPage)="goToPage($event)"
        ariaLabel="Advanced example pagination"
    >
    </nx-pagination>
    </div>
  </div>
  <div *ngIf="loadDataInProgress">
    <div class="flex">
      <div class="margin-auto">
        <nx-spinner size="large" class="margin-auto"></nx-spinner>
      </div>
    </div>
  </div>
</div>


